/* 
 * File:   errors.h
 * Author: Carlo Alessandro Nicolau @ INFN
 * 
 * Firmware for BPD board.
 * Error-related functions.
 */

#ifndef __ERRORS_H
#define	__ERRORS_H

#include "typedefs.h"

// make variable readable from outside world
extern err_t errors_last_error;

void error_notify(err_t _err);
void error_die_forever(void);

#endif	// __ERRORS_H

